/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PLUGIN_H
#define PLUGIN_H

#include <gtk/gtk.h>
#include <iostream>
#include <vector>
using namespace std;

enum PluginState { PLUGIN_OK, PLUGIN_CRASH, PLUGIN_ENABLED, PLUGIN_DISABLED };

typedef struct _OpenLDevPlugin      OpenLDevPlugin;
typedef struct _OpenLDevPluginList  OpenLDevPluginList;

struct _OpenLDevPlugin
{
  int plugin_id;
  gboolean enable;
  const char *file;
  const char *library;
  
  const char *name;
  const char *author;
  const char *description;
  const char *copyright;
  
  PluginState state;
  PluginState (*init)    (gpointer);
  PluginState (*destroy) (gpointer);
  
  GModule *module;
};

struct _OpenLDevPluginList
{
  vector<OpenLDevPlugin*> plugins;
  int num_of_plugins;
};

#endif
