/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef OPENLDEV_EDITOR_H
#define OPENLDEV_EDITOR_H

#include <glib.h>
#include <iostream>
using namespace std;

typedef struct _EditorProperties  EditorProperties;

struct _EditorProperties
{
  gboolean browser;
  gboolean outputmanager;
  gboolean statusbar;
  gboolean toolbar;
  gboolean autocomplete_active;
  
  string current_autocomplete;
};

EditorProperties* openldev_editor_new ();

void openldev_editor_set_browser (EditorProperties*, gboolean);
void openldev_editor_set_outputmanager (EditorProperties*, gboolean);
void openldev_editor_set_statusbar (EditorProperties*, gboolean);
void openldev_editor_set_toolbar (EditorProperties*, gboolean);
void openldev_editor_set_autocomplete_active (EditorProperties*, gboolean);

#endif
