/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "openldev-output-search.h"

// Create the search output tab
OutputSearch* openldev_output_search_new ()
{
  OutputSearch *obj = new OutputSearch ();
  
  obj->scrolled_window = gtk_scrolled_window_new (NULL, NULL);
  obj->search_box = gtk_tree_view_new ();
  
  gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW(obj->scrolled_window),
                                         obj->search_box);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW(obj->scrolled_window),
                                  GTK_POLICY_AUTOMATIC,
                                  GTK_POLICY_AUTOMATIC);
  gtk_tree_view_set_headers_visible (GTK_TREE_VIEW(obj->search_box), FALSE);
  
  return obj;
}

GtkWidget* openldev_output_search_get_treeview (OutputSearch *obj)
{ return obj->search_box;
}

GtkWidget* openldev_output_search_get_scrolled_window (OutputSearch *obj)
{ return obj->scrolled_window;
}

void openldev_output_search_clear (OutputSearch *obj)
{
  GtkTreeModel *model = gtk_tree_view_get_model (GTK_TREE_VIEW (obj->search_box));
  if (GTK_IS_TREE_MODEL (model))
    if (gtk_tree_model_get_n_columns (model) > 0)
      gtk_tree_view_remove_column (GTK_TREE_VIEW (obj->search_box),
        gtk_tree_view_get_column (GTK_TREE_VIEW (obj->search_box), 0));
}
